Subject: [EAI] An appeal ab out protocol-readng..b

From: John C Klensin <[email-masked]>
Date: Tue, 21 Mar 2006 11:14:57 -0500

I'd like to make a request of participants in this WG effort, 
especially those who come to the work from the perspective of 
internationalization efforts rather than email ones. It is sort 
of an extension of expecting people who haven't read the 
documents to sit in back and be quiet in meetings.

This effort is very different from the IDN/IDNA one in at least 
one very important way.  With IDNA, as soon as the decision was 
made that the characters that actually went into the DNS would 
conform to the hostname/LDH rule, it because possible to 
essentially ignore how the DNS worked internally.  Whether doing 
so was wise or not is something we will continue to debate for 
years, but it was possible.  This effort, at least in the model 
contemplated in the WG charter and preliminary documents, 
actually does need to interwork with the existing email 
environment and do so in very fundamental ways.  If we are going 
to make progress, everyone is going to need to be familiar with 
the relevant email specifications -- RFC 2821 and 2822 for 
everyone; the MIME specs, especially those pieces that deal with 
internal body part headers, encoded words, registrations, 
constraints on multipart types and encodings for people thinking 
about downgrades; the POP and IMAP specs for people thinking 
about extensions to those protocols, etc.    Discussions without 
that familiarity will, at best, cost us a huge amount of time. 
And on-list tutorials on mail fundamentals are just not a way to 
move the WG forward on the many issues we need to resolve.

This stuff is complex and subtle.  We got a dramatic 
demonstration of just how subtle it is yesterday when we 
discovered that the authors or RFC 822 and 2822 could remember 
just what went into a particular header field (I assure them 
that I would do much worse with 2822 -- I have learned to never 
answer a question without checking the text and I get myself 
into trouble almost every time I violate that principle).

So, please, try to read and understand the documents -- not only 
the WG documents but the relevant basic email specifications -- 
before posting comments that good lead us on what are often 
called in English "wild goose chases".

thanks,
    john

_______________________________________________
IMA mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ima

---

From: Chris Newman <[email-masked]>
Date: Wed, 22 Mar 2006 01:47:27 -0600

While I largely agree with John, I believe some compromise is in order.

When I participate in i18n or security work, I can not become an expert in 
those areas.  I merely have to get to the level of "educated and aware of the 
gaps in my knowledge" to participate usefully.  And my applications perspective 
can be insightful despite some ignorance of i18n/security issues on my part.

The same is true of people with i18n or usability expertise who participate in 
this effort.  While it is helpful for them to learn what they can about the 
email protocol suite, I do not expect them to become experts on the subtleties. 
For example, one contributor made a rather insightful comment from a usability 
perspective despite his lack of knowledge about lexical analysis of email 
addresses (an area few people understand well).  And I was able to make a 
constructive suggestion based on his insight.  It would be a shame to miss such 
insights.

So please participate if you feel you have a useful insight.  But please learn 
what you can about the email protocol suite as John requested, because that can 
improve the quality of your contributions and help the group conclude faster.

                Thank you,
                - Chris

John C Klensin wrote on 3/21/06 11:14 -0500:
> I'd like to make a request of participants in this WG effort, especially
> those who come to the work from the perspective of internationalization
> efforts rather than email ones. It is sort of an extension of expecting
> people who haven't read the documents to sit in back and be quiet in meetings.
>
> This effort is very different from the IDN/IDNA one in at least one very
> important way.  With IDNA, as soon as the decision was made that the
> characters that actually went into the DNS would conform to the hostname/LDH
> rule, it because possible to essentially ignore how the DNS worked
> internally.  Whether doing so was wise or not is something we will continue
> to debate for years, but it was possible.  This effort, at least in the model
> contemplated in the WG charter and preliminary documents, actually does need
> to interwork with the existing email environment and do so in very
> fundamental ways.  If we are going to make progress, everyone is going to
> need to be familiar with the relevant email specifications -- RFC 2821 and
> 2822 for everyone; the MIME specs, especially those pieces that deal with
> internal body part headers, encoded words, registrations, constraints on
> multipart types and encodings for people thinking about downgrades; the POP
> and IMAP specs for people thinking about extensions to those protocols, etc.
> Discussions without that familiarity will, at best, cost us a huge amount of
> time. And on-list tutorials on mail fundamentals are just not a way to move
> the WG forward on the many issues we need to resolve.
>
> This stuff is complex and subtle.  We got a dramatic demonstration of just
> how subtle it is yesterday when we discovered that the authors or RFC 822 and
> 2822 could remember just what went into a particular header field (I assure
> them that I would do much worse with 2822 -- I have learned to never answer a
> question without checking the text and I get myself into trouble almost every
> time I violate that principle).
>
> So, please, try to read and understand the documents -- not only the WG
> documents but the relevant basic email specifications -- before posting
> comments that good lead us on what are often called in English "wild goose
> chases".